#ifndef COLORMAPDATAPART_H
#define COLORMAPDATAPART_H

#include <QtCharts/QChartGlobal>
#include <QtCore>

QT_CHARTS_BEGIN_NAMESPACE

class QT_CHARTS_EXPORT ColorMapDataPart
{
public:
    explicit ColorMapDataPart();
    ColorMapDataPart(ColorMapDataPart* dataPart);
    explicit ColorMapDataPart(QVector<double> *timeSeries, QVector<double> *ySeries, QVector<double> *dataSeries);
    ~ColorMapDataPart();
    inline const QVector<double>& timesSeries(){return *this->m_timeSeries;}
    inline const QVector<double>& ySeries(){return *this->m_ySeries;}
    inline const QVector<double>& dataSeries(){return *this->m_dataSeries;}
    inline void setTimeSeries(QVector<double> *timeSeries){this->m_timeSeries =timeSeries;}
    inline void setYSeries(QVector<double> *ySeries){this->m_ySeries =ySeries;}
    inline void setDataSeries(QVector<double> *dataSeries){this->m_dataSeries =dataSeries;}
    QPair<int,int> getRange(const QVector<double> &vect, double start, double stop);
protected:
    QVector<double> *m_timeSeries;
    QVector<double> *m_ySeries;
    QVector<double> *m_dataSeries;
private:
    int find(double val, const QVector<double> &vect, bool more);
};

QT_CHARTS_END_NAMESPACE

#endif // COLORMAPDATAPART_H
